> ## Documentation Index > Fetch the complete documentation index at: https://docs.plainid.io/llms.txt > Use this file to discover all available pages before exploring further. # Update Source > This API call is designed to update a Source in a specific PAA Group.

Notice

Accessing the API call is through a dedicated domain/URL, according to your PlainID Tenant Location
  • United States (US) - `https://API.us1.plainid.io`
  • Canada (CA) - `https://api.ca1.plainid.io`
  • Europe (EU) - `https://api.eu1.plainid.io`

  • Using HTML Encoded Special Characters

    Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this HTML URL Encoding Reference for a full list.


    Important note about headers

    Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool.

    Headers

    *Required
    Header Value cURL Line
    Accept`application/json` `-H"Accept: application/json"`
    Content Type`application/json` `-H"Content-Type: application/json"`

    cURL Sample Guidelines

    In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right. They will then appear in the cURL sample on the bottom of the page in the correct format.


    Using HTML Encoded Special Characters

    Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this HTML URL Encoding Reference for a full list.

    ## OpenAPI ````json PUT /api/1.0/paa-groups/{envId}/{paaGroupId}/sources/{sourceId} { "openapi": "3.0.3", "info": { "title": "Management APIs", "version": "1.0.0", "contact": { "name": "PlainID", "url": "https://plainid.com", "email": "contact@plainid.com" }, "license": { "name": "Commercial", "url": "https://plainid.com/license" }, "termsOfService": "https://www.plainid.com/terms/", "description": "

    The PlainID Authorization Platform provides Management capabilities through the APIs below.

    To access the Management APIs, make sure to enter your dedicated domain according to your PlainID Tenant Location:
    RegionBase URL
    United States (US)https://api.us1.plainid.io
    Canada (CA)https://api.ca1.plainid.io
    Europe (EU)https://api.eu1.plainid.io
    Local PAAhttps://api.plainid.local
    " }, "servers": [ { "description": "United States", "url": "https://api.us1.plainid.io" }, { "description": "Europe", "url": "https://api.eu1.plainid.io" }, { "description": "Canada", "url": "https://api.ca1.plainid.io" }, { "description": "Local PAA", "url": "https://api.plainid.local" } ], "tags": [ { "name": "access-file-authorizer-oas", "description": "access-file-authorizer-oas" }, { "name": "authz-packager-oas", "description": "authz-packager-oas" }, { "name": "SQL Database Authorizer", "description": "API for modifying SQL queries based on authorization policies" }, { "name": "delegated-admin-oas", "description": "delegated-admin-oas" }, { "name": "Discovery", "description": "Discovery APIs" }, { "name": "Enrichment", "description": "Enrichment APIs" }, { "name": "env-mgmt-oas", "description": "env-mgmt-oas" }, { "name": "hybrid-commander-oas", "description": "hybrid-commander-oas" }, { "name": "auth-keys", "description": "Auth key operations" }, { "name": "components", "description": "Component operations" }, { "name": "paas", "description": "PAA operations" }, { "name": "paa-groups", "description": "PAA group operations" }, { "name": "packages", "description": "Package configuration operations" }, { "name": "secret-stores", "description": "Secret store operations" }, { "name": "Table Mapping", "description": "Table Mapping" }, { "name": "Column Mapping", "description": "Column Mapping" }, { "name": "Api Mapping", "description": "Api Mapping" }, { "name": "notifier-oas", "description": "notifier-oas" }, { "name": "shadow-tracker", "description": "Shadow tracker SSE stream" }, { "name": "orchestrator-oas", "description": "orchestrator-oas" }, { "name": "POP", "description": "pop operations" }, { "name": "org-mgmt-oas", "description": "org-mgmt-oas" }, { "name": "pip-mgmt-oas", "description": "pip-mgmt-oas" }, { "name": "monitor-loggers", "description": "monitor-loggers" }, { "name": "Policy Management APIs", "description": "Policy Management APIs" }, { "name": "Policy Management APIs 1.0", "description": "Policy Management APIs 1.0" }, { "name": "Policy Management APIs 2.0", "description": "Policy Management APIs 2.0" }, { "name": "Policy Building Blocks Management APIs 2.0", "description": "Policy Building Blocks Management APIs 2.0" }, { "name": "Audit", "description": "Audit" }, { "name": "Asset Template", "description": "Asset Template" }, { "name": "Application", "description": "Application" }, { "name": "Api Mapper", "description": "Api Mapper" }, { "name": "Identity Template", "description": "Identity Template" }, { "name": "Identity Sources", "description": "Identity Sources" }, { "name": "Mapper Sets", "description": "Mapper Sets" }, { "name": "Identity Template V2", "description": "Identity Template V2" }, { "name": "PAA Sources", "description": "PAA Sources" }, { "name": "PAA Views", "description": "PAA Views" }, { "name": "PAA Groups", "description": "PAA Groups" }, { "name": "Scope", "description": "Managed Scope APIs" }, { "name": "Authentication for Management APIs", "description": "Authentication for Management APIs" }, { "name": "runtime", "description": "runtime" }, { "name": "Cache Management", "description": "Cache invalidation operations for Runtime service" } ], "externalDocs": { "url": "https://docs.plainid.io/apidocs/policy-management-apis" }, "paths": { "/api/1.0/paa-groups/{envId}/{paaGroupId}/sources/{sourceId}": { "put": { "tags": [ "PAA Sources" ], "summary": "Update Source", "operationId": "updateSource", "description": "This API call is designed to update a Source in a specific PAA Group.

    Notice

    Accessing the API call is through a dedicated domain/URL, according to your PlainID Tenant Location
  • United States (US) - `https://API.us1.plainid.io`
  • Canada (CA) - `https://api.ca1.plainid.io`
  • Europe (EU) - `https://api.eu1.plainid.io`

  • \n

    Using HTML Encoded Special Characters

    Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this HTML URL Encoding Reference for a full list.


    Important note about headers

    Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool.

    Headers

    *Required
    Header Value cURL Line
    Accept`application/json` `-H\"Accept: application/json\"`
    Content Type`application/json` `-H\"Content-Type: application/json\"`

    cURL Sample Guidelines

    In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right. They will then appear in the cURL sample on the bottom of the page in the correct format.


    Using HTML Encoded Special Characters

    Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this HTML URL Encoding Reference for a full list.

    ", "security": [ { "bearerAuth": [] } ], "parameters": [ { "name": "envId", "in": "path", "required": "true", "schema": { "type": "string", "format": "uuid" }, "description": "The Environment ID can be found under the Details Tab in the Environment Settings.
    If your PAA is installed on the Tenant level, input `-` as your `envId`." }, { "name": "paaGroupId", "in": "path", "required": "true", "schema": { "type": "string" }, "description": "The PAA Group Id" }, { "name": "sourceId", "in": "path", "required": "true", "schema": { "type": "string" }, "description": "The Source ID" } ], "requestBody": { "description": "Body of the source request.", "required": "true", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SourceDto" }, "examples": { "example": { "value": { "sourceId": "PIPS4BRPBO81AVPC", "paaGroupId": "paa1", "adapter": "ws", "name": "mockrest", "status": "ACTIVE", "description": "", "properties": {}, "translator": { "name": "plainid-rest-iRo", "type": "plainid-rest", "properties": { "supportsfilter": "true" } }, "models": [ { "type": "PHYSICAL", "modelId": "PIPMM4BRPBO9U88OW", "paaGroupId": "paa1", "visible": "true", "name": "mockrest", "description": "", "sourceIds": [ "PIPS4BRPBO81AVPC" ], "properties": {}, "metadata": [ { "type": "DDL", "text": "CREATE FOREIGN TABLE context ( \n \n uid string,\n\n name string options (nameinsource 'name'),\n\n city string options (nameinsource 'city'),\njwt string \n\n) OPTIONS (nameinsource '$.Users[*]', \"plainid:method\" 'GET', \"plainid:URI\" '/users/$(uid)', \"plainid:unwrap\" 'true');" } ] } ], "paasProperties": [ { "id": "PIMR4BRPBOE7JUGW", "sourceId": "PIPS4BRPBO81AVPC", "paaId": "PAA3QK1UON1BOXS", "properties": { "EndPoint": "https://api.your-company.com/endpoint", "Password": null, "AuthPassword": "plainid", "SecurityType": "None" } } ] } } } } } }, "responses": { "200": { "description": "Source Updated", "headers": { "x-request-id": { "schema": { "type": "string" } } }, "content": { "application/json": { "schema": { "type": "object", "properties": { "data": { "type": "object", "properties": { "sourceId": { "type": "string" }, "paaGroupId": { "type": "string" }, "adapter": { "type": "string" }, "name": { "type": "string" }, "status": { "type": "string" }, "description": { "type": "string" }, "properties": { "type": "object" }, "translator": { "type": "object", "properties": { "name": { "type": "string" }, "type": { "type": "string" }, "properties": { "type": "object" } } }, "models": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "modelId": { "type": "string" }, "paaGroupId": { "type": "string" }, "visible": { "type": "boolean" }, "name": { "type": "string" }, "description": { "type": "string" }, "sourceIds": { "type": "array", "items": { "type": "string" } }, "properties": { "type": "object" }, "metadata": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "text": { "type": "string" } } } } } } }, "paasProperties": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string" }, "sourceId": { "type": "string" }, "paaId": { "type": "string" }, "properties": { "type": "object" } } } } } } } }, "examples": { "Source Updated Successfully": { "value": { "data": { "sourceId": "PIPS4BRPBO81AVPC", "paaGroupId": "paa1", "adapter": "ws", "name": "mockrest", "status": "ACTIVE", "description": "", "properties": {}, "translator": { "name": "plainid-rest-iRo", "type": "plainid-rest", "properties": { "supportsfilter": "true" } }, "models": [ { "type": "PHYSICAL", "modelId": "PIPMM4BRPBO9U88OW", "paaGroupId": "paa1", "visible": "true", "name": "mockrest", "description": "", "sourceIds": [ "PIPS4BRPBO81AVPC" ], "properties": {}, "metadata": [ { "type": "DDL", "text": "CREATE FOREIGN TABLE context ( \n \n uid string,\n\n name string options (nameinsource 'name'),\n\n city string options (nameinsource 'city'),\njwt string \n\n) OPTIONS (nameinsource '$.Users[*]', \"plainid:method\" 'GET', \"plainid:URI\" '/users/$(uid)', \"plainid:unwrap\" 'false');" } ] } ], "paasProperties": [ { "id": "PIMR4BRPBOE7JUGW", "sourceId": "PIPS4BRPBO81AVPC", "paaId": "PAA3QK1UON1BOXS", "properties": { "EndPoint": "https://api.your-company.com/endpoint", "Password": null, "AuthPassword": "plainid", "SecurityType": "None" } } ] } } } } } } }, "400": { "description": "Bad Request", "headers": { "x-request-id": { "schema": { "type": "string" } } } }, "401": { "description": "Unauthorized", "headers": { "x-request-id": { "schema": { "type": "string" } } } }, "500": { "description": "Internal Server Error", "headers": { "x-request-id": { "schema": { "type": "string", "format": "uuid" }, "description": "The ID of the request" } } } } } } }, "components": { "schemas": { "SourceDto": { "type": "object", "properties": { "sourceId": { "type": "string", "description": "The parameter is relevant to the Update Sources API. Omit this parameter from the Create Source API request. " }, "paaGroupId": { "type": "string" }, "adapter": { "type": "string" }, "name": { "type": "string", "description": "Source Name" }, "status": { "type": "string" }, "description": { "type": "string", "description": "Source Description" }, "properties": { "type": "object" }, "translator": { "type": "object", "properties": { "name": { "type": "string" }, "type": { "type": "string" }, "properties": { "type": "object" } } }, "models": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "modelId": { "type": "string", "description": "The parameter is relevant to the Update Sources API. Omit this parameter from the Create Source API request. " }, "paaGroupId": { "type": "string" }, "visible": { "type": "boolean" }, "name": { "type": "string" }, "description": { "type": "string" }, "sourceIds": { "type": "array", "items": { "type": "string" }, "description": "This parameter must be `null` in the Create Source API." }, "properties": { "type": "object" }, "metadata": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "text": { "type": "string" } } } } } } }, "paasProperties": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "description": "The parameter is relevant to the Update Sources API. Omit this parameter from the Create Source API request. " }, "sourceId": { "type": "string", "description": "The parameter is relevant to the Update Sources API. Omit this parameter from the Create Source API request. " }, "paaId": { "type": "string", "description": "The PAA ID. The PAA ID can be found in the Environment or Tenant Settings in the Policy Authorization Agent section." }, "properties": { "type": "object" } } } } } } }, "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer", "description": " For more details about Administration API Authentication, check out the Authentication APIs documentation
    Provide your bearer token in the Authorization header when making requests to protected resources.
    Example: `Authorization: Bearer 123`" } } } } ````